<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchEvaluation: SemanticSearchEvaluation.RegexSearch Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchEvaluation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_evaluation.html">SemanticSearchEvaluation</a></li><li class="navelem"><a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html">RegexSearch</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_semantic_search_evaluation_1_1_regex_search-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchEvaluation.RegexSearch Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Regex approach.  
 <a href="class_semantic_search_evaluation_1_1_regex_search.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for SemanticSearchEvaluation.RegexSearch:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_semantic_search_evaluation_1_1_regex_search.png" usemap="#SemanticSearchEvaluation.RegexSearch_map" alt=""/>
  <map id="SemanticSearchEvaluation.RegexSearch_map" name="SemanticSearchEvaluation.RegexSearch_map">
<area href="class_semantic_search_evaluation_1_1_search_approach.html" title="Provides all necessary functions for the evaluation of a search approach." alt="SemanticSearchEvaluation.SearchApproach" shape="rect" coords="0,0,264,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a58f01357e3e40170e45f89f61710a386"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#a58f01357e3e40170e45f89f61710a386">GetQuery</a> (int counter)</td></tr>
<tr class="memdesc:a58f01357e3e40170e45f89f61710a386"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the specified search intention.  <a href="class_semantic_search_evaluation_1_1_regex_search.html#a58f01357e3e40170e45f89f61710a386">More...</a><br /></td></tr>
<tr class="separator:a58f01357e3e40170e45f89f61710a386"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4770e1301d6716be4e7cc905d4bdf23"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#af4770e1301d6716be4e7cc905d4bdf23">GetName</a> ()</td></tr>
<tr class="memdesc:af4770e1301d6716be4e7cc905d4bdf23"><td class="mdescLeft">&#160;</td><td class="mdescRight">The specified name for the search approach.  <a href="class_semantic_search_evaluation_1_1_regex_search.html#af4770e1301d6716be4e7cc905d4bdf23">More...</a><br /></td></tr>
<tr class="separator:af4770e1301d6716be4e7cc905d4bdf23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fa167142c637349ab4c32038eeeea56"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#a5fa167142c637349ab4c32038eeeea56">GetPath</a> ()</td></tr>
<tr class="memdesc:a5fa167142c637349ab4c32038eeeea56"><td class="mdescLeft">&#160;</td><td class="mdescRight">The path to the executable of the search approach.  <a href="class_semantic_search_evaluation_1_1_regex_search.html#a5fa167142c637349ab4c32038eeeea56">More...</a><br /></td></tr>
<tr class="separator:a5fa167142c637349ab4c32038eeeea56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c5497e7298c7a7f99f02f43aaa225f4"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#a5c5497e7298c7a7f99f02f43aaa225f4">GetArguments</a> (int counter)</td></tr>
<tr class="memdesc:a5c5497e7298c7a7f99f02f43aaa225f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The arguments for the process containing the specified search intention.  <a href="class_semantic_search_evaluation_1_1_regex_search.html#a5c5497e7298c7a7f99f02f43aaa225f4">More...</a><br /></td></tr>
<tr class="separator:a5c5497e7298c7a7f99f02f43aaa225f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_semantic_search_evaluation_1_1_search_approach')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html">SemanticSearchEvaluation.SearchApproach</a></td></tr>
<tr class="memitem:a366eb296136b1d7f1534f6e5f5caf55c inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memItemLeft" align="right" valign="top">Process&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a366eb296136b1d7f1534f6e5f5caf55c">GetProcess</a> (string path, string arguments)</td></tr>
<tr class="memdesc:a366eb296136b1d7f1534f6e5f5caf55c inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="mdescLeft">&#160;</td><td class="mdescRight">The process which needs to be executed to run the specified search approach.  <a href="class_semantic_search_evaluation_1_1_search_approach.html#a366eb296136b1d7f1534f6e5f5caf55c">More...</a><br /></td></tr>
<tr class="separator:a366eb296136b1d7f1534f6e5f5caf55c inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7704268a1ecc6c066f091fde5c5518ca"><td class="memItemLeft" align="right" valign="top">readonly string[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#a7704268a1ecc6c066f091fde5c5518ca">_queries</a></td></tr>
<tr class="separator:a7704268a1ecc6c066f091fde5c5518ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Regex approach. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a5c5497e7298c7a7f99f02f43aaa225f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c5497e7298c7a7f99f02f43aaa225f4">&#9670;&nbsp;</a></span>GetArguments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string SemanticSearchEvaluation.RegexSearch.GetArguments </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>counter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The arguments for the process containing the specified search intention. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">counter</td><td>Number of the search intention.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

<p>Implements <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a4b560b4e0d66a0213ed0e5a0aada6d13">SemanticSearchEvaluation.SearchApproach</a>.</p>

</div>
</div>
<a id="af4770e1301d6716be4e7cc905d4bdf23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4770e1301d6716be4e7cc905d4bdf23">&#9670;&nbsp;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string SemanticSearchEvaluation.RegexSearch.GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The specified name for the search approach. </p>
<dl class="section return"><dt>Returns</dt><dd>Name of the search approach.</dd></dl>

<p>Implements <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a309037aeaa9d9bf1dc94ee039e0f7f04">SemanticSearchEvaluation.SearchApproach</a>.</p>

</div>
</div>
<a id="a5fa167142c637349ab4c32038eeeea56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fa167142c637349ab4c32038eeeea56">&#9670;&nbsp;</a></span>GetPath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string SemanticSearchEvaluation.RegexSearch.GetPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The path to the executable of the search approach. </p>
<dl class="section return"><dt>Returns</dt><dd>String with the relative path.</dd></dl>

<p>Implements <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#adcd32a056e0f894aa985a76f0d83c034">SemanticSearchEvaluation.SearchApproach</a>.</p>

</div>
</div>
<a id="a58f01357e3e40170e45f89f61710a386"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58f01357e3e40170e45f89f61710a386">&#9670;&nbsp;</a></span>GetQuery()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchEvaluation.RegexSearch.GetQuery </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>counter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the specified search intention. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">counter</td><td>Number of search intention.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Search intention.</dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7704268a1ecc6c066f091fde5c5518ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7704268a1ecc6c066f091fde5c5518ca">&#9670;&nbsp;</a></span>_queries</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly string [] SemanticSearchEvaluation.RegexSearch._queries</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= <span class="keyword">new</span> <span class="keywordtype">string</span>[]</div>
<div class="line">        {</div>
<div class="line">           <span class="stringliteral">&quot;IT Center&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;^10$&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;2007&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;(design patterns)|^[0-4]$&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;computer science&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;resource 2&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;experiment|simulation&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;(human consciousness)|non-algorithmic&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;2020-07-03&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;left&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;2 meter&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;object-oriented software&quot;</span>,</div>
<div class="line">           <span class="stringliteral">&quot;(Thomas Pynchon)|2016|(object-oriented software)&quot;</span>     </div>
<div class="line">        }</div>
</div><!-- fragment -->
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_regex_search_8cs.html">RegexSearch.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
